	const_def 2 ; object constants
	const ROUTE6_ITEMBALL1
	const ROUTE6_ITEMBALL2
	const ROUTE6_ITEMBALL3
	const ROUTE6_TRAINER1
	const ROUTE6_TRAINER2
	const ROUTE6_TRAINER3
	const ROUTE6_TRAINER4
	const ROUTE6_TRAINER5

Route6_MapScripts:
	db 0 ; scene scripts
        db 0 ; callbacks

Route6Itemball1:
	itemball TM_EARTHQUAKE
	end
Route6Itemball2:
	itemball FULL_HEAL, 3
	end
Route6Itemball3:
	itemball REVIVE, 3
	end

Route6Trainer1: ; RODNEY
	trainer SURVIVALIST, RODNEY, EVENT_BEAT_RODNEY, .BeforeBattleText, .AfterBattleText, 0, .Script
.Script:
	endifjustbattled
	opentext
	writetext .OverworldText
	waitbutton
	closetext
	end
.BeforeBattleText:
	text "WOW!"
	line "Stop right here!"
	done
.AfterBattleText:
	text "Ok, you can pass."
	done
.OverworldText:
	text "Us survivalist are"
	line "always prepared to"
	cont "a Rocket invasion."
	para "We moved here and"
	line "cut the bridge"
	cont "right when they"
	cont "arrived at Dawn"
	cont "Town!"
	done

Route6Trainer2: ; SORAYA
	trainer KIMONO_GIRL, SORAYA, EVENT_BEAT_SORAYA, .BeforeBattleText, .AfterBattleText, 0, .Script
.Script:
	endifjustbattled
	opentext
	writetext .OverworldText
	waitbutton
	closetext
	end
.BeforeBattleText:
	text "<…>"
	done
.AfterBattleText:
	text "<…>"
	done
.OverworldText:
	text "<…>"
	done

Route6Trainer3: ; ARIANA
	trainer KIMONO_GIRL, ARIANA, EVENT_BEAT_ARIANA, .BeforeBattleText, .AfterBattleText, 0, .Script
.Script:
	endifjustbattled
	opentext
	writetext .OverworldText
	waitbutton
	closetext
	end
.BeforeBattleText:
	text "Hey!"
	line "Did you just fight"
	cont "my sister?!"
	done
.AfterBattleText:
	text "You're so mean."
	done
.OverworldText:
	text "My sister Soraya"
	line "is mute."
	para "When she calls her"
	line "Mr. Mime to speak"
	cont "for her, people"
	cont "think she wants to"
	cont "battle!"
	done

Route6Trainer4: ; ERIK
	trainer COOLTRAINERM, ERIK, EVENT_BEAT_ERIK, .BeforeBattleText, .AfterBattleText, 0, .Script
.Script:
	endifjustbattled
	opentext
	writetext .OverworldText
	waitbutton
	closetext
	end
.BeforeBattleText:
	text "Watch out!"
	done
.AfterBattleText:
	text "I didn't mean to"
	line "battle you!"
	para "You stepped on a"
	line "flower<…>"
	done
.OverworldText:
	text "Next up is the"
	line "Sparkle Ranch."
	para "The Sheperd is a"
	line "cool guys named"
	cont "Eddy."
	para "Make sure you talk"
	line "to him, he's very"
	cont "chill!"
	done

Route6Trainer5: ; ALAIN
	trainer SURVIVALIST, ALAIN, EVENT_BEAT_ALAIN, .BeforeBattleText, .AfterBattleText, 0, .Script
.Script:
	endifjustbattled
	opentext
	writetext .OverworldText
	waitbutton
	closetext
	end
.BeforeBattleText:
	text "Boo!"
	done
.AfterBattleText:
	text "I though I would"
	line "benefit from the"
	cont "surprise effect!"
	done
.OverworldText:
	text "If you climb the"
	line "mountain, you'll"
	cont "find a cave full"
	cont "of very powerful"
	cont "#MONs."
	para "Make sure you got"
	line "something to heal"
	cont "your party!"
	done

Route6_MapEvents:
	db 0, 0 ; filler
	db 0 ; warp events
	db 0 ; coord events
	db 0 ; bg events
	db 8 ; object events
	object_event 25,  1, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, Route6Itemball1, EVENT_ROUTE6_TM26_EARTHQUAKE
	object_event 33, 15, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, Route6Itemball2, EVENT_ROUTE6_FULL_HEAL
	object_event  2, 15, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, Route6Itemball3, EVENT_ROUTE6_REVIVE
	object_event  4, 11, SPRITE_SURVIVALIST,   SPRITEMOVEDATA_STANDING_UP, 0, 0, -1, -1, PAL_NPC_GREEN, OBJECTTYPE_TRAINER, 3, Route6Trainer1, EVENT_BEAT_RODNEY
	object_event 15, 15, SPRITE_KIMONO_GIRL,   SPRITEMOVEDATA_STANDING_UP, 0, 0, -1, -1, PAL_NPC_RED, OBJECTTYPE_TRAINER, 3, Route6Trainer2, -1
	object_event 15, 11, SPRITE_KIMONO_GIRL,   SPRITEMOVEDATA_STANDING_DOWN, 0, 0, -1, -1, PAL_NPC_BLUE, OBJECTTYPE_TRAINER, 3, Route6Trainer3, -1
	object_event 26, 16, SPRITE_COOLTRAINER_M, SPRITEMOVEDATA_STANDING_UP, 0, 0, -1, -1, PAL_NPC_BROWN, OBJECTTYPE_TRAINER, 2, Route6Trainer4, -1
	object_event 33,  5, SPRITE_SURVIVALIST,   SPRITEMOVEDATA_STANDING_LEFT, 0, 0, -1, -1, PAL_NPC_GREEN, OBJECTTYPE_TRAINER, 3, Route6Trainer5, -1
